.products-page {
  /* max-width: 1000px; */
  width: 100%;
  margin: 0 auto;
}

.products-previews-wrapper {
  display: flex;
  flex-direction: column;
  gap: var(--homepage-articles-gap);
}

.product-preview {}

.product-title-wrapper {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

.product-preview-card {
  overflow: hidden;

  & a {
    text-decoration: none;
    color: var(--text-main);
  }
}


.product-preview-content {
  display: flex;
  justify-content: space-between;

  /* padding: 15px; */
  @media (max-width: 600px) {
    /* flex-direction: column; */
  }
}

.product-preview-logo {
  display: flex;

  & .product-preview-img {
    background-color: var(--bg-card-hover);
    height: 200px;
    border-radius: 8px;
  }

  & .product-preview-img-small {
    /* background-color: var(--bg-card-hover); */
    border-radius: 8px;
    display: none;
  }

  @media (max-width: 1000px) {
    & .product-preview-img {
      height: 175px;
    }
  }

  @media (max-width: 800px) {
    & .product-preview-img {
      height: 150px;
    }
  }

  @media (max-width: 600px) {
    & .product-preview-img {
      display: none;
    }

    & .product-preview-img-small {
      display: block;
      height: 100px;

      @media (max-width: 400px) {
        height: 80px;
      }

      @media (max-width: 250px) {
        display: none;
      }

    }
  }
}


.product-preview-text {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  font-size: 1.2rem;
  padding-inline-start: calc(var(--homepage-articles-gap) / 2);
  padding-block-start: calc(var(--homepage-articles-gap) / 4);
  gap: calc(var(--homepage-articles-gap) / 2);

  & a:hover {
    text-decoration: none;
  }

  @media (max-width: 1000px) {
    gap: calc(var(--homepage-articles-gap) / 4);
  }

  @media (max-width: 800px) {
    font-size: 0.9rem;
  }
}

.product-type-wrapper {
  margin-top: auto;
  display: flex;
  align-self: end;
}

.product-type {
  justify-self: end;
  padding: 8px 16px;
  background: rgba(116, 173, 248, 0.094);
  color: var(--link-color);
  border-radius: 999px;
  font-weight: bold;
  text-align: center;
}

.product-preview-banner img {
  width: 100%;
  display: block;
  background-color: #f5f5f5;
}


.product-short-description {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  /* Количество строк */
  -webkit-box-orient: vertical;
  /* Задает вертикальную ориентацию */
  overflow: hidden;
}

.product-preview-card {

  & h2,
  & h3,
  & p {
    margin-block: 0px !important;
  }

  & h2>a,
  & h3>a {
    text-decoration: none;
    /* font-size: 1rem; */
    color: var(--text-main);
    font-weight: bold !important;
  }
}

.product-preview-content h3,
.product-preview-content p {
  margin-block: calc(var(--homepage-articles-gap) / 2);
}

.product-info-wrapper {
  display: flex;
  flex-direction: column;
  gap: 4px;
  font-size: 1.1rem;

  & .product-rating {
    font-size: 1rem;
  }

  @media (max-width: 800px) {
    font-size: 0.9rem;
    gap: 0px;

    & .product-rating {
      font-size: 0.9rem;
      gap: 2px;
    }
  }

  @media (max-width: 800px) {}
}

.product-url {
  color: var(--link-color);
  display: flex;
  align-items: center;
  gap: 2px;
  font-weight: bold;

  &:hover {
    text-decoration: none;
    color: var(--link-hover) !important;
  }
}

.product-rating {
  color: var(--text-main);
  display: flex;
  align-items: center;
  gap: 2px;
  font-weight: bold;

  & svg {
    width: 16px;
    height: 16px;
  }
}